Get Knowledge Connectors - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get Knowledge Connectors
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors")
.header("X-API-Key", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Example Response
{
"items": [
{
"extension": "confluence",
"version": "1.1.0",
"type": "MyConfluenceConnector",
"config": {},
"name": "My Knowledge Connector",
"schedule": {
"enabled": true,
"start": 1694518620,
"totalMinutes": 1,
"hour": 1,
"minute": 1,
"timezone": "UTC",
"weekDays": [
0,
3
]
},
"lastExecution": 1694518620,
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorization
X-API-Key
- string
- header
- required
- Supply the API Key in the HTTP-Header
Headers
Accept
- enum
- The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
knowledgeStoreId
- string
- required
- The Id of the KnowledgeStore
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
Query Parameters
filter
- string
- The name of the knowledge connector to filter the records
limit
- integer
- The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
- Required range:
1 <= x <= 100
skip
- integer
- The number of items to skip before returning the results. Use this parameter with
limitfor offset-based pagination. The default value is 0. - Required range:
x >= 0
sort
- string
- The order in which results are returned. Set a sorting rule in the format
field:direction, where direction can beascfor ascending order ordescfor descending order. For example,name:ascsorts by name in ascending order. - Minimum string length:
1
next
- string
- The cursor that points to the next page of results. Use the
nextCursorvalue returned in a previous response to request the next set of items. - Required string length:
24
previous
- string
- The cursor that points to the previous page of results. Use the
previousCursorvalue returned in a previous response to request the previous set of items. - Required string length:
24